import { jsx } from "react/jsx-runtime";
import { BugDroid as BugDroid$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const BugDroid = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "BugDroid", ...props, children: /* @__PURE__ */ jsx(BugDroid$1, { weight: variant }) });
  }
);
BugDroid.displayName = "BugDroid";
Object.assign(BugDroid, { isGdsIcon: true });
export {
  BugDroid
};
